package com.fs.chat.service;

import com.fs.chat.domain.ChatKeyword;

import java.util.List;

/**
 * 关键字Service接口
 *
 * @author fs
 * @date 2024-04-19
 */
public interface IChatKeywordService
{
    /**
     * 查询关键字
     *
     * @param keywordId 关键字主键
     * @return 关键字
     */
    public ChatKeyword selectChatKeywordByKeywordId(Long keywordId);

    /**
     * 查询关键字列表
     *
     * @param chatKeyword 关键字
     * @return 关键字集合
     */
    public List<ChatKeyword> selectChatKeywordList(ChatKeyword chatKeyword);

    /**
     * 新增关键字
     *
     * @param chatKeyword 关键字
     * @return 结果
     */
    public int insertChatKeyword(ChatKeyword chatKeyword);

    /**
     * 修改关键字
     *
     * @param chatKeyword 关键字
     * @return 结果
     */
    public int updateChatKeyword(ChatKeyword chatKeyword);

    /**
     * 批量删除关键字
     *
     * @param keywordIds 需要删除的关键字主键集合
     * @return 结果
     */
    public int deleteChatKeywordByKeywordIds(Long[] keywordIds);

    /**
     * 删除关键字信息
     *
     * @param keywordId 关键字主键
     * @return 结果
     */
    public int deleteChatKeywordByKeywordId(Long keywordId);

    ChatKeyword selectChatKeywordByKeyword(Long companyId, String content);
}
